import React from 'react';

export const PlusCircleIcon = ({ fillPath = '#626CDD', fillPlus = '#FFFFFF', fillCircle = '#EAF7FF', ...props }) => (
	<svg width='60px' height='60px' viewBox='0 0 60 60' version='1.1' {...props}>
		<defs>
			<circle id='path-1' cx='30' cy='30' r='30' />
		</defs>
		<g id='Symbols' stroke='none' strokeWidth='1' fill='none' fillRule='evenodd'>
			<g id='icon-post-on-insta'>
				<g id='Group-2'>
					<mask id='mask-2' fill='white'>
						<use xlinkHref='#path-1' />
					</mask>
					<use id='Oval' fill={fillCircle} xlinkHref='#path-1' />
					<g id='Group' mask='url(#mask-2)'>
						<g transform='translate(13.000000, 13.000000)'>
							<path
								d='M6.81293962,0.390846413 C10.1940741,0.130282138 13.5816973,3.39198913e-16 16.9758092,0 C20.3855936,0 23.7953781,0.131488096 27.2051626,0.394464289 L27.2051628,0.394461087 C30.6469552,0.659905853 33.3813955,3.39480655 33.6462609,6.83664352 C33.882087,9.90112502 34,13.1017081 34,16.4383929 C34,20.0126727 33.8646966,23.5872226 33.5940899,27.1620426 L33.5940965,27.1620431 C33.3332164,30.60837 30.5961131,33.3484706 27.1500738,33.6131225 C23.791712,33.8710408 20.4222678,34 17.0417411,34 C13.6537514,34 10.2657617,33.8704708 6.87777197,33.6114124 L6.87777151,33.6114185 C3.4302696,33.3478096 0.691666783,30.6066098 0.431325676,27.1588596 C0.143775225,23.3507705 2.0960668e-16,19.7410744 0,16.3297712 C0,13.1610923 0.124050889,9.99241346 0.372152666,6.82373458 L0.372155664,6.82373482 C0.641352878,3.38563157 3.37450876,0.655826183 6.81293962,0.390846413 Z'
								id='Rectangle-37'
								fill={fillPath}
							/>
							<polygon
								id='Path'
								fill={fillPlus}
								points='18.4555065 10 18.513754 15.486246 24 15.5444935 23.9677672 18.6029971 18.5447496 18.5459869 18.6029971 23.9677672 15.5444935 24 15.486246 18.513754 10 18.4555065 10.0322328 15.3970029 15.4527758 15.4540131 15.3970029 10.0322328'
							/>
						</g>
					</g>
				</g>
			</g>
		</g>
	</svg>
);
